---
title: Navigator.getVRDisplays()
slug: Web/API/Navigator/getVRDisplays
tags:
  - API
  - Experimental
  - HTML DOM
  - Media
  - Method
  - Navigator
  - Reference
  - VR
  - Virtual Reality
  - WebVR
  - getVRDisplays()
---
<div>{{DefaultAPISidebar("WebVR API")}}{{Obsolete_header}}</div>

<p>The <strong><code>getVRDisplays()</code></strong> method of the {{domxref("Navigator")}} interface returns a promise that resolves to an array of {{domxref("VRDisplay")}} objects representing any available VR displays connected to the computer.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">navigator.getVRDisplays().then(function(displays) {
  // Do something with the available VR displays
});</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A promise that resolves to an array of {{domxref("VRDisplay")}} objects.</p>

<h2 id="Examples">Examples</h2>

<p>{{page("/Web/API/VRDisplay", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebVR 1.1", '#navigator-getvrdisplays-attribute', 'getVRDisplays()')}}</td>
   <td>{{Spec2("WebVR 1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Navigator.getVRDisplays")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
